Bug 1433955 (CVE-2017-6967) - CVE-2017-6967 xrdp: Incorrect placement of auth_start_session()
Summary: CVE-2017-6967 xrdp: Incorrect placement of auth_start_session()
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-6967
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1433958 1433959
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-20 13:07 UTC by Andrej Nemec
Modified: 2019-09-29 14:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:09:13 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-03-20 13:07:03 UTC
xrdp calls the PAM function auth_start_session() in an incorrect location, leading to PAM session modules not being properly initialized, with a potential consequence of incorrect configurations or elevation of privileges, aka a pam_limits.so bypass.

Upstream bug:

https://github.com/neutrinolabs/xrdp/issues/350

Upstream patch:

https://github.com/neutrinolabs/xrdp/pull/696/commits/44129acd210c803fc8bbcfaf1b0db05e5bb4034f

Comment 1 Andrej Nemec 2017-03-20 13:11:34 UTC
Created xrdp tracking bugs for this issue:

Affects: epel-all [bug 1433958]
Affects: fedora-all [bug 1433959]

Comment 2 Product Security DevOps Team 2019-06-08 03:09:13 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.